From 549a68de064102b7eb09f64b5f65b1da77fa048e Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Mon, 30 Sep 2019 00:00:49 -0400
Subject: [PATCH 3/3] PostgreSQL 12 release.

The usual updates for a release (topbar, homepage, roadmap) as well as
moving the "beta" page to its "non-beta" state.
---
 templates/index.html                   | 75 +++++++++++++++++++++-------------
 templates/pages/developer/beta.html    | 17 ++++----
 templates/pages/developer/roadmap.html | 14 ++++---
 templates/pages/include/topbar.html    |  2 +-
 4 files changed, 64 insertions(+), 44 deletions(-)

diff --git a/templates/index.html b/templates/index.html
index b90e638f..fba6bc9d 100644
--- a/templates/index.html
+++ b/templates/index.html
@@ -47,25 +47,37 @@
       <div class="text">
         <p>
           <strong>
-            2019-09-26 - PostgreSQL 12 RC 1 Released!
+            2019-10-03 - PostgreSQL 12 Released!
           </strong>
         </p>
         <p>
-          The PostgreSQL Global Development Group <a href="/about/news/1975/">announces</a>
-          that the <a href="/about/news/1975/">first release candidate</a> of
-          <a href="/docs/12/release-12.html">PostgreSQL 12</a>
-          is now available for <a href="/download/">download</a>. As a release
-          candidate, PostgreSQL 12 RC 1 should be identical to the initial release of
-          <a href="/docs/12/release-12.html">PostgreSQL 12</a>, though some more
-          fixes may be applied prior to the general availability of PostgreSQL 12.
+          The PostgreSQL Global Development Group today announced the release of
+          <a href="/about/news/1976/">PostgreSQL 12</a>, the latest version of
+          the world's <a href="/">most advanced open source database</a>.
         </p>
         <p>
-          The planned date for the general availability of PostgreSQL 12 is October 3,
-          2019.
+          <a href="/docs/12/release-12.html">PostgreSQL 12 enhancements</a>
+          include notable improvements to query
+          performance, particularly over larger data sets, and overall space
+          utilization. This release provides application developers with new
+          capabilities such as
+          <a href="/docs/current/functions-json.html#FUNCTIONS-SQLJSON-PATH">SQL/JSON path expression</a>
+          support, optimizations for how common table expression (<code>WITH</code>)
+          queries are executed, and <a href="/docs/current/ddl-generated-columns.html">generated columns</a>.
         </p>
         <p>
-          You can
-          <a href="/download/">download</a> the release candidate <a href="/download/">here</a>.
+          The PostgreSQL community continues to support the extensibility and
+          robustness of PostgreSQL, with further additions to
+          internationalization, authentication, and providing easier ways to
+          administrate PostgreSQL. This release also introduces the
+          <a href="/docs/current/tableam.html">pluggable table storage interface</a>,
+          which allows developers to create their own methods for storing data.
+        </p>
+        <p>
+          For more information, please see the
+          <a href="/docs/12/release-12.html">release notes</a>. You can
+          <a href="/download/">download</a> PostgreSQL 12
+          <a href="/download/">here</a>.
         </p>
         <ul>
           {% for v in versions %}
@@ -149,35 +161,40 @@
       <!-- Featured Post -->
         <header>
           <h3>
-            <a href="/about/news/1975/">PostgreSQL 12 RC 1 Released</a>!
+            <a href="/about/news/1976/">PostgreSQL 12 Released</a>!
           </h3>
           <ul class="meta">
-            <li><i class="far fa-clock"></i>&nbsp;2019-09-26</li>
+            <li><i class="far fa-clock"></i>&nbsp;2019-10-03</li>
             <!--<li><i class="far fa-comments"></i> 0</li>-->
           </ul>
         </header>
         <p>
-          The PostgreSQL Global Development Group <a href="/about/news/1975/">announces</a>
-          that the <a href="/about/news/1975/">first release candidate</a> of
-          <a href="/docs/12/release-12.html">PostgreSQL 12</a>
-          is now available for <a href="/download/">download</a>. As a release
-          candidate, PostgreSQL 12 RC 1 should be identical to the initial release of
-          <a href="/docs/12/release-12.html">PostgreSQL 12</a>, though some more
-          fixes may be applied prior to the general availability of PostgreSQL 12.
+          The PostgreSQL Global Development Group today announced the release of
+          <a href="/about/news/1976/">PostgreSQL 12</a>, the latest version of
+          the world's <a href="/">most advanced open source database</a>.
         </p>
         <p>
-          The planned date for the general availability of PostgreSQL 12 is October 3,
-          2019.
+          <a href="/docs/12/release-12.html">PostgreSQL 12 enhancements</a>
+          include notable improvements to query
+          performance, particularly over larger data sets, and overall space
+          utilization. This release provides application developers with new
+          capabilities such as
+          <a href="/docs/current/functions-json.html#FUNCTIONS-SQLJSON-PATH">SQL/JSON path expression</a>
+          support, optimizations for how common table expression (<code>WITH</code>)
+          queries are executed, and <a href="/docs/current/ddl-generated-columns.html">generated columns</a>.
         </p>
         <p>
-          You can
-          <a href="/download/">download</a> the release candidate
-          <a href="/download/">here</a>.
+          The PostgreSQL community continues to support the extensibility and
+          robustness of PostgreSQL, with further additions to
+          internationalization, authentication, and providing easier ways to
+          administrate PostgreSQL. This release also introduces the
+          <a href="/docs/current/tableam.html">pluggable table storage interface</a>,
+          which allows developers to create their own methods for storing data.
         </p>
         <ul class="bold">
-          <li><a href="/about/news/1975/">Release Announcement</a></li>
-          <li><a href="/developer/beta/">Beta Testing Information</a></li>
-          <li><a href="/docs/12/release-12.html">PostgreSQL 12 Beta Features</a></li>
+          <li><a href="/about/news/1976/">Release Announcement</a></li>
+          <li><a href="/about/press/">PostgreSQL 12 Press Kit &amp; Translations</a></li>
+          <li><a href="/docs/12/release-12.html">PostgreSQL 12 Release Notes</a></li>
           <li><a href="/download/">Download</a></li>
         </ul>
         <a href="/about/newsarchive/" title="Archives"><button type="button" class="btn btn-primary btn-center btn-inline-block">Browse Archives</button></a>
diff --git a/templates/pages/developer/beta.html b/templates/pages/developer/beta.html
index 8df10d73..9bdd9495 100644
--- a/templates/pages/developer/beta.html
+++ b/templates/pages/developer/beta.html
@@ -30,21 +30,22 @@
     are subject to changes that are backwards incompatible at any time during
     the development of the betas, and could possibly be removed altogether.</p>
 
-<!-- <p>
-  <strong>PostgreSQL 12 has been released</strong>. The first beta of version 12 is not yet available for testing. Beta testing of
-    version 13 is likely to begin around June 2020.
-</p> -->
+<p>
+  <strong>PostgreSQL 12 has been released</strong>. The first beta of version 13
+  is not yet available for testing. Beta testing of version 13 is likely to
+  begin around May 2020.
+</p>
 
-<p>The current beta release is <strong>PostgreSQL 12 RC 1</strong>.  For more information on the current beta release and how
-    to test, please view the links below.</p>
+<!-- <p>The current beta release is <strong>PostgreSQL 12 RC 1</strong>.  For more information on the current beta release and how
+    to test, please view the links below.</p> -->
 
 <ul>
-  <li>
+  <!-- <li>
     <a href="/about/news/1975/">PostgreSQL 12 RC 1 Release Announcement</a>
   </li>
   <li>
     <a href="/ftp/source/v12rc1/">Download 12 RC 1 source code</a>
-  </li>
+  </li> -->
   <li>
     <a href="/docs/devel/index.html">Development Version of the Docs</a>
   </li>
diff --git a/templates/pages/developer/roadmap.html b/templates/pages/developer/roadmap.html
index 3cf61b3d..f3957e30 100644
--- a/templates/pages/developer/roadmap.html
+++ b/templates/pages/developer/roadmap.html
@@ -22,7 +22,7 @@ for each <a href="/support/versioning/">supported version</a>.
 <p>
 The target date for these releases are, unless otherwise stated, the second
 Thursday of February, May, August, and November. The current schedule for upcoming
-releases is:
+releases is:git diff 69476ee5781d461519bef12297d807fbf4091cbf..2ce8cc910f893674bc0ffc0f2bb263e575603538
 </p>
 <ul>
   <li>November 7th, 2019</li>
@@ -33,12 +33,14 @@ releases is:
 
 <h2>Next major release</h2>
 
-<!-- <p>The next major release of PostgreSQL is planned to be the 12 release. A
-tentative schedule for this version has a release in the
-third quarter of 2019.</p> -->
+<p>
+  The next major release of PostgreSQL is planned to be the 13 release. A
+  tentative schedule for this version has a release in the third quarter of
+  2020.
+</p>
 
-<p>The next major release of PostgreSQL is planned to be the 12 release. Currently,
-  the scheduled date for this release is October 3, 2019.</p>
+<!-- <p>The next major release of PostgreSQL is planned to be the 12 release. Currently,
+  the scheduled date for this release is October 3, 2019.</p> -->
 
 <p>While there are no formal requirements for each PostgreSQL release, there
 are several places you can look to find out more information on upcoming
diff --git a/templates/pages/include/topbar.html b/templates/pages/include/topbar.html
index d028a670..36ab154d 100644
--- a/templates/pages/include/topbar.html
+++ b/templates/pages/include/topbar.html
@@ -1 +1 @@
-26th September 2019: <a href="{{link_root}}/about/news/1975/">PostgreSQL 12 RC 1 Released</a>!
+3rd October 2019: <a href="{{link_root}}/about/news/1976/">PostgreSQL 12 Released</a>!
-- 
2.14.3 (Apple Git-98)

